﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Text;
using System.Collections.ObjectModel;


namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                
                String busPOIFileName = MapPath("app_data/Business.shp");

                ShapeFileFeatureLayer busPOILayer = new ShapeFileFeatureLayer(busPOIFileName);
                ShapeFileFeatureLayer busPOITextLayer = new ShapeFileFeatureLayer(busPOIFileName);
                busPOITextLayer.DrawingMarginPercentage = 50;
                
                busPOILayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(new GeoImage(Server.MapPath("city.png")));
                busPOITextLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.City1("POI_NAME");

                busPOILayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                busPOITextLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                
                LayerOverlay layerOverlay = new LayerOverlay("DynamicOverlay");
           
                layerOverlay.Layers.Add(busPOILayer);
                layerOverlay.Layers.Add(busPOITextLayer);



                Map1.CustomOverlays.Add(layerOverlay);





                


            }

            

            

        }
        
        protected void Map1_Click(object sender, MapClickedEventArgs e)
        {
            //FeatureLayer worldLayer = (FeatureLayer)Map1.DynamicOverlay.Layers["DynamicOverlay"];
            //worldLayer.Open();
            //Collection<Feature> selectedFeatures = worldLayer.QueryTools.GetFeaturesContaining(e.Position, new string[2] { "CNTRY_NAME", "POP_CNTRY" });
            //worldLayer.Close();

            //if (selectedFeatures.Count > 0)
            //{
            //    FeaturesGridView.DataSource = GetDataTableFromFeatureSourceColumns(selectedFeatures);
            //    FeaturesGridView.DataBind();
            //}
        }

        //private static DataTable GetDataTableFromFeatureSourceColumns(Collection<Feature> features)
        //{
        //    //DataTable dataTable = new DataTable();

        //    //dataTable.Columns.Add("NAME");
        //    //dataTable.Columns.Add("ID");

        //    //foreach (Feature feature in features)
        //    //{
        //    //    AddRow(feature, dataTable);
        //    //}

        //    //return dataTable;
        //}

        //private static void AddRow(Feature feature, DataTable dataTable)
        //{
        //    //DataRow dataRow = dataTable.NewRow();

        //    //dataRow[0] = feature.ColumnValues["POI_NAME"];
        //    //dataRow[1] = feature.ColumnValues["POI_ID"];

        //    //dataTable.Rows.Add(dataRow);
        //}

        


        
    }
}
